<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejemplo x-Template</title>
	<script src="https://unpkg.com/vue@3"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
    integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
</head>
<body>
    <div id="app">
		<div class="container text-center">
          <button-click-counter class="mr-2"></button-click-counter>
          <button-click-counter class="mr-2"></button-click-counter>
          <button-click-counter class="mr-2"></button-click-counter>
		</div>
    </div>
</body>
<script type="text/x-template" id="button-click-counter-template">
    <button class="btn btn-primary" @click="count++">{{count}}</button>
</script>
<script>
	const app = Vue.createApp({});
    app.component('button-click-counter',{
        template : '#button-click-counter-template',

        data() {
            return {
                count: 0,
            }
        } 
    });
	app.mount('#app');
</script>
</html>